---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: package-hunter
  labels:
    app: package-hunter
spec:
  replicas: 1
  selector:
    matchLabels:
      app: package-hunter
  template:
    metadata:
      labels:
        app: package-hunter
    spec:
      containers:
        - name: main
          image: eileenyu/package-hunter:0.0.1
          imagePullPolicy: Always
          ports:
            - containerPort: 3000
          volumeMounts:
            - name: htrrc
              mountPath: "/app/.htrrc"
              # Add 'subPath' to avoid overwriting '/app'. See: https://stackoverflow.com/a/51522730
              subPath: ".htrrc"
              readOnly: true
            - name: ssl
              mountPath: "/app/certs"
              readOnly: true
      volumes:
        - name: htrrc
          secret:
            secretName: package-hunter
        - name: ssl
          secret:
            secretName: ssl-cred
            optional: false
            items:
              - key: client.key
                path: client.key
              - key: client.crt
                path: client.crt
              - key: server.crt
                path: server.crt
